﻿/* Set padding to keep content from hitting the edges */
/*html {
    overflow: hidden;
}*/
body {
    background: #e8e8e8;
    min-width: 1320px;
}

@media (max-width: 1380px) {
    /*.body-content {
        padding: 0 0.5rem !important;
    }*/

    .container-xl, .container-lg, .container-md, .container-sm, .container {
        max-width: 1320px;
    }
}

.body-content {
    margin-bottom: 15px;
    padding-left: 15px;
    padding-right: 15px;
    min-height: calc(100vh - 82px);
    max-width: 1320px !important;
}

.required::after {
    content: "*";
    color: red
}

.navbar {
    background: #122343 !important;
    height: 40px;
    font-size: 14px;
    position: sticky;
    top: 0;
    z-index: 100;
}

.navbar-nav .nav-link.active, .navbar-nav .nav-link.show {
    color: var(--bs-navbar-active-color);
    font-weight: 500;
}

.e-breadcrumb {
    /*padding: 0 2rem !important;*/
    /* background: #fff; */
}

    .e-breadcrumb .e-breadcrumb-item a.e-breadcrumb-text {
        cursor: pointer;
        text-decoration: none;
        border: 1px solid rgba(0,0,0,0);
    }

        .e-breadcrumb .e-breadcrumb-item a.e-breadcrumb-text:hover {
            background-color: #e1dfdd;
            color: #605e5c;
            text-decoration: none;
        }

    .e-breadcrumb .e-breadcrumb-item .e-breadcrumb-text {
        color: #605e5c;
        padding: 0.25rem;
    }

        .e-breadcrumb .e-breadcrumb-item .e-breadcrumb-text:focus {
            padding: 0.25rem;
            border: none;
        }

    .e-breadcrumb .e-breadcrumb-separator {
        color: #605e5c;
    }

    .e-breadcrumb .e-breadcrumb-item[data-active-item] .e-breadcrumb-text {
        color: #323130;
    }

.e-panel {
    background: #fff;
    box-shadow: 0 1.6px 3.6px 0 rgba(0,0,0,.132), 0 0.3px 0.9px 0 rgba(0,0,0,.108);
    /*border: 1px solid #fff;*/
    /*border-radius: 4px;*/
}

.e-panel-container {
    height: 100%;
    width: 100%;
}

.e-panel .e-panel-container .e-panel-header {
    color: #201f1e;
    background: white;
    border-bottom: 1px solid #edebe9;
    font-weight: 600;
    height: 56px;
    padding: 7px 10px;
    /*line-height: 32px;*/
    border-top: 5px solid #122343;
    box-shadow: 0 8px 11px -6px rgba(0, 0, 0, 0.12);
    z-index: 100;
}

.e-panel .e-panel-header .e-header-text {
    float: left;
    padding: 5px 5px 5px 0px;
    overflow: hidden;
    text-overflow: ellipsis;
    /*max-width: 60%;*/
    white-space: nowrap;
}

.e-panel .e-panel-content {
    /*min-height: 72.9vh;*/
    /*margin: 10px 10px;*/
    padding: 10px 10px;
}

.header-border {
    /*position: absolute;
    top: 0px;
    left: 0px;*/
    width: 100%;
    border-top: 5px solid #122343;
}

.btn {
    border-radius: 2px;
    font-size: 14px;
}

    .btn.btn-primary {
        color: #fff;
        background-color: #162a50 !important;
        border-color: #162a50 !important;
    }

        .btn.btn-primary:hover {
            color: #122343;
            background-color: white !important;
            border-color: #122343 !important;
        }

.alert {
    border-radius: 2px;
}

    .alert p {
        margin: 0;
        font-size: 14px;
        font-weight: 500;
    }

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
/*input,
select,
textarea {
    max-width: 280px;
}*/

.navbar-fixed-bottom {
    bottom: 0;
    margin-bottom: 0;
    position: sticky;
    z-index: 20;
}

.footer-content {
    width: 100%;
    background: #333333;
    height: 27px;
    border-top: 1px solid #eee;
    color: #fff;
}

    .footer-content .copyrights {
        font-size: 12px;
        line-height: 25px;
    }

.validation-summary-errors {
    border: 1px dashed;
    border-radius: 4px;
    background: #ff000014;
    font-size: 12px;
    margin-bottom: 5px;
}

    .validation-summary-errors ul {
        margin: 0;
        list-style: none;
        padding: 5px 10px;
    }

.input-validation-error {
    border-color: red;
    background-color: #ff000017;
}

.field-validation-error {
    font-size: 12px;
    font-style: italic;
    color: red;
    font-weight: 400;
}

.field-validation-valid {
    font-size: 12px;
    color: green;
    font-weight: 400;
    font-style: italic;
}

input.form-control {
    height: 35px;
    padding: .375rem .75rem;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.5;
    border-radius: 2px;
}

.col-form-label {
    font-size: 14px;
    font-weight: 600;
}

.e-dialog {
    border: none !important;
    border-radius: 0px !important;
}

.e-btn {
    border-radius: 2px !important;
}

.e-grid .e-dialog .e-dlg-content {
    font-weight: 600;
    height: 40px;
    padding: 10px 10px;
    line-height: 20px;
    background: #122343;
    color: white;
    border-radius: 0;
}

#confirm_dialog.e-dialog {
    top: 58px !important;
}

.e-dialog .e-dlg-header-content {
    font-weight: 600;
    height: 49px;
    padding: 12px 10px;
    line-height: 20px;
    background: #122343;
}

    .e-dialog .e-dlg-header-content .e-dlg-header {
        color: white;
    }

    .e-dialog .e-dlg-header-content .e-btn .e-btn-icon.e-icon-dlg-close {
        color: white;
        font-weight: bold;
    }

.e-dialog .e-footer-content {
    padding: 8px;
}

input.e-input, .e-input-group input.e-input, .e-input-group input, .e-input-group.e-control-wrapper input.e-input, .e-input-group.e-control-wrapper input, .e-float-input input, .e-float-input.e-input-group input, .e-float-input.e-control-wrapper input, .e-float-input.e-control-wrapper.e-input-group input, .e-input-group, .e-input-group.e-control-wrapper, .e-float-input, .e-float-input.e-control-wrapper, .e-input.e-corner, .e-input-group.e-corner.e-rtl input.e-input:only-child, .e-input-group.e-control-wrapper.e-corner.e-rtl input.e-input:only-child, .e-input-group.e-input-focus.e-corner, .e-input-group.e-control-wrapper.e-input-focus.e-corner, textarea.e-input, .e-input-group textarea.e-input, .e-input-group textarea, .e-input-group.e-control-wrapper textarea.e-input, .e-input-group.e-control-wrapper textarea, .e-float-input textarea, .e-float-input.e-input-group textarea, .e-float-input.e-control-wrapper textarea, .e-float-input.e-control-wrapper.e-input-group textarea {
    border-radius: 2px;
    font-size: 14px;
}

.e-multi-select-wrapper .e-chips {
    border-radius: 2px;
}

select.form-control {
    border-radius: 2px !important;
    height: 35px;
    padding: 0px 10px;
    font-size: 14px;
}

textarea.form-control {
    font-size: 14px;
    border-radius: 2px;
    resize: none;
}

.blockUI {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
    z-index: 1000020;
    background-color: rgba(0, 0, 0, 0.5);
}

    .blockUI .blockUI-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: 100vh;
    }

        .blockUI .blockUI-container .progressBar-container {
            width: 300px;
            background: white;
            text-align: center;
            padding: 15px;
            border-radius: 2px;
        }

.e-dlg-center-center {
    z-index: 1000000 !important;
}

.e-dlg-container.e-edit-dialog.e-dlg-center-center {
    z-index: 1000 !important;
}

.e-footer-content .e-btn.e-primary.e-flat:not([DISABLED]):not(.e-success):not(.e-danger):not(.e-warning):not(.e-info) {
    color: #fff;
    background-color: #162a50 !important;
    border-color: #162a50 !important;
}

    .e-footer-content .e-btn.e-primary.e-flat:not([DISABLED]):not(.e-success):not(.e-danger):not(.e-warning):not(.e-info):hover {
        color: #122343;
        background-color: white !important;
        border-color: #122343 !important;
    }

.e-btn.e-flat.e-primary:disabled, .e-btn.e-flat.e-primary.e-disabled, .e-css.e-btn.e-flat.e-primary:disabled, .e-css.e-btn.e-flat.e-primary.e-disabled {
    background: rgb(18 35 67);
}

.e-upload .e-upload-actions .e-file-clear-btn {
    background: #5c636a;
    border-color: #565e64;
    color: white;
    margin-right: 0;
}

.e-btn.e-flat:hover, .e-css.e-btn.e-flat:hover {
    background: #ffffff;
    border-color: #565e64;
    color: #5c636a !important
}

.e-btn.e-flat.e-primary, .e-css.e-btn.e-flat.e-primary, .e-css.e-btn.e-flat.e-primary:active, .e-css.e-btn.e-flat.e-primary:focus {
    color: white;
    background: rgb(18 35 67);
    box-shadow: none;
}

    .e-btn.e-flat.e-primary:hover, .e-css.e-btn.e-flat.e-primary:not([DISABLED]):hover {
        background: white;
        border-color: rgb(18 35 67);
        color: rgb(18 35 67);
    }

.e-footer-content .e-btn:hover.e-flat:not([DISABLED]):not(.e-success):not(.e-danger):not(.e-warning):not(.e-info) {
    background: #ffffff;
    border-color: #565e64;
    color: #5c636a;
}

.e-grid .e-unboundcelldiv .e-btn:hover .e-icons {
    color: #5c636a;
}

.e-grid .e-gridheader {
    padding-right: 0px !important;
}

.e-grid .e-content {
    overflow-y: auto !important;
}

.e-upload {
    border: 1px solid #ced4da;
}

.e-card {
    width: 200px;
    float: left;
    min-height: 145px;
    margin: 10px 10px 0px 0px;
    box-shadow: 0 13px 8px 1px rgba(0, 0, 0, 0.12);
    display: unset;
}

    .e-card .e-card-actions {
        text-align: center;
        width: 100%;
        padding: 0px;
    }

.bg-primary {
    background-color: #122343 !important;
}

fieldset {
    padding: 10px;
    border: 1px solid #ced4da;
    /*border-radius: 4px;*/
    display: block;
    /*margin-bottom: 0.5rem;*/
    margin-top: 0.5rem;
    min-inline-size: auto;
    box-shadow: rgb(50 50 93 / 25%) 0px 2px 5px -1px, rgb(0 0 0 / 1%) 0px 1px 3px -1px;
}

legend {
    display: block;
    width: auto;
    padding: 0 5px;
    font-size: 13px;
    line-height: 13px;
    border: 0;
    font-weight: 600;
    margin-bottom: 0;
    position: relative;
    float: none !important;
}


.detail-view label {
    padding: 0px;
    float: left;
    line-height: 25px;
    margin-right: 5px;
}

.detail-view p {
    font-size: 13px;
    overflow: hidden;
    max-width: 240px;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin: 0;
    line-height: 25px;
}

.e-upload .e-file-select-wrap {
    padding: 0 !important;
}

.nav-tabs .nav-link {
    color: #122343;
    border-color: var(--bs-nav-tabs-link-hover-border-color);
    border-radius: 0px;
    white-space: nowrap;
}

    .nav-tabs .nav-link:hover {
        color: #ffffff;
        background-color: #162a50;
    }

    .nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link {
        color: #ffffff;
        background-color: #162a50;
    }

.e-grid .e-gridheader tr th {
    border-top: 0 none;
    background: #cdcdcd;
}

.e-grid .e-rowcell {
    font-size: 12px;
    line-height: 18px;
    padding: 5px 5px;
}

scrollbar {
    width: 10px;
    height: 8px;
}

scrollbar-track {
    background-color: #e4e4e4;
    border-radius: 50px;
    height: 8px;
}

scrollbar-thumb {
    background-color: #122343;
    border-radius: 0px;
}

html::-webkit-scrollbar, div::-webkit-scrollbar, ul::-webkit-scrollbar, body::-webkit-scrollbar {
    width: 10px;
    height: 8px;
}

html::-webkit-scrollbar-track, div::-webkit-scrollbar-track, ul::-webkit-scrollbar-track, body::-webkit-scrollbar-track {
    background-color: #e4e4e4;
    border-radius: 0px;
}

html::-webkit-scrollbar-thumb, div::-webkit-scrollbar-thumb, ul::-webkit-scrollbar-thumb, body::-webkit-scrollbar-thumb {
    background-color: #122343;
    border-radius: 0px;
}

.e-upload .e-upload-files {
    max-height: 417px;
    overflow-y: auto;
}

.tooltip.show {
    opacity: 1 !important;
    box-shadow: rgb(50 50 93 / 25%) 0px 2px 5px -1px, rgb(0 0 0 / 47%) 0px 1px 3px -1px;
    border-radius: 3px;
}

.tooltip .tooltip-inner {
    background: #ffc;
    color: black;
    border-color: black;
    border-style: dashed;
    border-width: 1px;
    border-radius: 3px;
    max-height: 200px;
    overflow-y: auto;
    overflow-x: hidden;
}

.e-table tbody tr td button.btn {
    height: 20px;
    width: 20px;
    padding: 4px;
    line-height: 0;
    border-radius: 3px;
    font-size: 13px;
}

.e-grid .e-gridheader tr th:last-child {
    background-color: #cdcdcd;
}

.e-toolbar .e-toolbar-items:first-child:not(.e-toolbar-multirow) > .e-toolbar-item:last-child, .e-toolbar .e-toolbar-items:first-child:not(.e-toolbar-multirow) > .e-toolbar-right .e-toolbar-item:last-child,
.e-toolbar .e-toolbar-items .e-toolbar-left .e-toolbar-item:first-child, .e-toolbar .e-toolbar-items:not(.e-tbar-pos):not(.e-toolbar-multirow) .e-toolbar-item:first-child {
    margin-right: 0px;
    margin-left: 0px;
}

.e-pager {
    font-size: 12px !important;
    padding: 8px !important;
}

    .e-pager .e-pagercontainer {
        border-radius: 2px;
        height: 32px;
        margin: 0px 0 -1px 0.3px !important;
    }

        .e-pager .e-pagercontainer .e-firstpage, .e-pager .e-pagercontainer .e-prevpage, .e-pager .e-pagercontainer .e-firstpagedisabled, .e-pager .e-pagercontainer .e-prevpagedisabled, .e-pager .e-pagercontainer .e-nextpage, .e-pager .e-pagercontainer .e-lastpage, .e-pager .e-pagercontainer .e-nextpagedisabled, .e-pager .e-pagercontainer .e-lastpagedisabled {
            padding: 12px 10px 9px !important;
        }

    .e-pager .e-numericitem.e-currentitem, .e-pager .e-numericitem.e-currentitem:hover {
        padding: 12px 10px 9px;
        border: none;
        margin: -2px 0px;
    }

#grid-no-data {
    display: none;
    border-radius: 2px;
    margin-top: 14px;
    margin-bottom: 0;
}

.uploader-download {
    right: 25px;
    align-items: center;
    box-sizing: border-box;
    cursor: pointer;
    display: inline-flex;
    font-size: 16px;
    height: 20px;
    justify-content: center;
    margin: 15px;
    margin-top: -9px;
    padding: 11px !important;
    position: absolute;
    top: 48%;
    vertical-align: middle;
    width: 20px;
}

.e-uploader-disabled {
    opacity: 1;
}

.grid-command {
    font-size: 16px;
    padding: 1px 5px;
    margin: 0 !important;
}

    .grid-command:hover {
        color: #fff !important;
    }

.viewer-download {
    color: #fff;
    font-family: FontAwesome, serif;
    font-size: 0.75rem;
    line-height: 1.5rem;
    text-align: center;
}

    .viewer-download::before {
        content: "\f019";
    }

.page-link {
    color: #162a50;
    padding: 0px 10px;
}

.page-item:first-child .page-link {
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
}

.page-item:last-child .page-link {
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
}

.active > .page-link, .page-link.active {
    background-color: #162a50;
    border-color: #162a50;
}

.badge {
    border-radius: 2px !important;
}

.viewer-navbar {
    height: 80px;
    background-color: rgb(255 255 255 / 80%);
}

.viewer-list > li {
    height: 80px !important;
    width: 100px !important;
}

.viewer-list {
    height: 80px !important;
}

.viewer-container .viewer-list img {
    /*  height: 80px !important;
    width: 100px !important;*/
}

.dropdown-item:focus, .dropdown-item:hover {
    color: #ffffff;
    background-color: #122343;
}

.dropdown-menu.show {
    border-radius: 2px;
    padding: 0;
}

.e-upload .e-upload-files .e-upload-file-list .e-file-container {
    margin-right: 45px;
}

.e-upload .e-upload-files .e-upload-file-list {
    min-height: 75px;
}

    .e-upload .e-upload-files .e-upload-file-list .e-file-container .e-file-status,
    .e-upload .e-upload-files .e-upload-file-list .e-file-container .e-file-information {
        font-size: 12px;
        padding-bottom: 5px;
    }

    .e-upload .e-upload-files .e-upload-file-list .e-file-container .e-file-name,
    .e-upload .e-upload-files .e-upload-file-list .e-file-container .e-file-type {
        font-size: 14px;
        padding-top: 4px;
    }

.btn-outline-dark {
    --bs-btn-color: #122343;
    --bs-btn-border-color: #122343;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #122343;
    --bs-btn-hover-border-color: #212529;
    --bs-btn-focus-shadow-rgb: 33, 37, 41;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #122343;
    --bs-btn-active-border-color: #122343;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #122343;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #212529;
    --bs-gradient: none;
}

.btn.btn-outline-dark:focus-visible {
    box-shadow: none;
}
